Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 623517 - [abrt] crash in picard-0.12.1-1.fc12: script.py:105:__raise_eof:EndOfFile: Unexpected end of script at position 66, line 1
[abrt] crash in picard-0.12.1-1.fc12: script.py:105:__raise_eof:EndOfFile: Un...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: picard (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Alex Lancaster
Fedora Extras Quality Assurance
abrt_hash:d5b76fde
:
: 623521 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-11 22:20 EDT by jason.prokopowich
Modified: 2010-12-03 07:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 07:51:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.98 KB, text/plain)
2010-08-11 22:20 EDT, jason.prokopowich
no flags Details

  None (edit)
Description jason.prokopowich 2010-08-11 22:20:35 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/picard
component: picard
executable: /usr/bin/picard
kernel: 2.6.32.16-150.fc12.x86_64
package: picard-0.12.1-1.fc12
reason: script.py:105:__raise_eof:EndOfFile: Unexpected end of script at position 66, line 1
release: Fedora release 12 (Constantine)

backtrace
-----
script.py:105:__raise_eof:EndOfFile: Unexpected end of script at position 66, line 1

Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/picard/ui/options/renaming.py", line 71, in check_formats
    self.update_examples()
  File "/usr/lib64/python2.6/site-packages/picard/ui/options/renaming.py", line 97, in update_examples
    example1 = self._example_to_filename(self.example_1())
  File "/usr/lib64/python2.6/site-packages/picard/ui/options/renaming.py", line 89, in _example_to_filename
    filename = file._make_filename(file.filename, file.metadata, settings)
  File "/usr/lib64/python2.6/site-packages/picard/file.py", line 228, in _make_filename
    new_filename = self._script_to_filename(format, metadata, settings)
  File "/usr/lib64/python2.6/site-packages/picard/file.py", line 200, in _script_to_filename
    filename = ScriptParser().eval(format, metadata, self)
  File "/usr/lib64/python2.6/site-packages/picard/script.py", line 236, in eval
    ScriptParser._cache[key] = self.parse(script, True)
  File "/usr/lib64/python2.6/site-packages/picard/script.py", line 227, in parse
    return self.parse_expression(True)[0]
  File "/usr/lib64/python2.6/site-packages/picard/script.py", line 205, in parse_expression
    tokens.append(self.parse_function())
  File "/usr/lib64/python2.6/site-packages/picard/script.py", line 151, in parse_function
    return ScriptFunction(name, self.parse_arguments())
  File "/usr/lib64/python2.6/site-packages/picard/script.py", line 138, in parse_arguments
    result, ch = self.parse_expression(False)
  File "/usr/lib64/python2.6/site-packages/picard/script.py", line 201, in parse_expression
    self.__raise_eof()
  File "/usr/lib64/python2.6/site-packages/picard/script.py", line 105, in __raise_eof
    raise EndOfFile("Unexpected end of script at position %d, line %d" % (self._x, self._y))
EndOfFile: Unexpected end of script at position 66, line 1

Local variables in innermost frame:
self: <picard.script.ScriptParser object at 0x1c603890>

How to reproduce
-----
1.changing directory/file naming options
2.
3.
Comment 1 jason.prokopowich 2010-08-11 22:20:37 EDT
Created attachment 438325 [details]
File: backtrace
Comment 2 Alex Lancaster 2010-08-25 02:54:32 EDT
Can you generate a reproducible test-case, in particular, it would be useful to know the filename etc.  Ideally add a file (or a fragment of a file) that could allow me to reproduce. It's difficult to debug without being able to reliably reproduce. 

It would also probably be useful to file this upstream:

http://bugs.musicbrainz.org/newticket

and post a link back to this bug here.
Comment 3 Alex Lancaster 2010-08-25 02:55:52 EDT
*** Bug 623521 has been marked as a duplicate of this bug. ***
Comment 4 Bug Zapper 2010-11-03 07:02:14 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 07:51:31 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.